html > * {
	font-family: "Open Sans", Arial, Helvetica, sans-serif;
}
*[hidden]{
  display: none;
}

.finished-quiz-buttons {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  p {
    grid-column-start: 1;
    grid-column-end: 3;
    margin: 20px;
    margin-bottom: 20px;
    padding: 10px 0;
    border-top: 1px solid #ccc;
  }
  button {
    margin-left: 20px;
  }
  button:last-child {
    margin-left: 12px;
    margin-right: 20px;
  }
}

.gr-btn.selfCheckBtn {
  position: absolute;
  bottom: -88px;
  left: calc(50% - 85.5px);
  filter: drop-shadow(rgba(0, 0, 0, 0.7) 1px 2px 2px);
  transition: bottom  ease-in .3s;
	z-index: 2;
  &.show {
    bottom: 88px;
  }
	&:focus {
		//box-shadow: 0 0 0 2px white, 0 0 0 4px #1977D4;
		background-color: #f7aa00;
	}
}

.selfCheck-container {
	position: absolute;
	max-width: 500px;
  width: 100%;
  min-width: 320px;
	height:calc(100% - 80px);
	margin-top: 80px;
	top:0;
	left:0;
	//overflow-y:scroll;
	z-index:1101;
	background:rgba(255,255,255,1);
  box-shadow:0 0 5px 0 #c7c7c7;
	animation-fill-mode: forwards;
	animation-duration: 0.6s;

}

.bio-interactive section.assessment {
	overflow: auto;
}
.assessment {
	font-size: 14px;
	position: relative;
	height: 100%;
}
	.question-container button {
		font-size: 14px;
	}


	.question-header {
		display:flex;
		justify-content:space-between;
		padding-left: 24px;
		padding-top:4px;
		padding-right:4px;
    flex-wrap: wrap;

    h2{
      margin-bottom: 8px;
    }

    .questionNav{
      width: 100%;
      display: flex;
      margin: 0 0 24px -5px;
  		.number {
  			display:inline;
  			font-size: 12px;
  			font-weight:normal;
        margin: 0 8px;
  		}
      button{
        padding: 0;
        height: 18px;
        width: 18px;
      }
    }
	}


	.gr-radio input[type=radio] + label {
		font-size: 14px;
		line-height: 1.5;
	}
	.gr-radio input[type=radio] ~ span {
		margin-top:3px;
	}

	.gr-radio input[type=radio]:disabled ~ span svg {
		opacity:0;
	}
	.gr-radio input[type=radio]:checked {
		~ span svg {
			opacity:1;
			&.icon-correct, &.icon-incorrect {
				opacity: 0;
			}
		}
	}
	.gr-radio input[type=radio]:checked:disabled {

		~ span svg {
			display:none;
		}

		&.correct {
			~ span svg.icon-correct {
              display:block;
				fill: #038238;
				opacity:1;
			}
		}
		&.incorrect {
			~ span svg.icon-incorrect {
				fill: #DB0020;
				opacity:1;
              display:block;
			}
		}
	}
	.gr-checkbox input[type=checkbox] + label {
		font-size: 14px;
	}

	.gr-checkbox input[type=checkbox]:disabled ~ span svg {
		opacity:0;
	}
    .gr-checkbox input[type=checkbox]:checked {
      ~ span svg {
        opacity:1;
        &.icon-correct, &.icon-incorrect {
          opacity: 0;
        }
      }
    }
	.gr-checkbox input[type=checkbox]:checked:disabled {

      ~ span svg {
        display:none;
      }

      &.correct {
        ~ span svg.icon-correct {
          display:block;
          fill: #038238;
          opacity:1;
        }
      }
      &.incorrect {
        ~ span svg.icon-incorrect {
          fill: #DB0020;
          opacity:1;
          display:block;
        }
      }
	}


xpso-selfcheck[standalone] .assessment {
  height: auto;
  margin-top: 20px;
	padding:4px;
  .question-container,
  .button-bar {
    padding: 0;
  }
}

.hint-box {
	position:relative;
	margin: 0 20px 0px 20px;
	.close-hint {
		position:absolute;
		top:0;
		right:0;
	}
}

.hint-container {
  border: 1px solid #c7c7c7;
  padding: 12px;
  background: rgba(0,0,0,.05);
  text-align: left !important;
	margin-bottom:40px;
  h3,h4 {
    margin-top: 0;
	  margin-bottom:8px;
	  font-size:16px;
  }
	p {
		margin-top:0;
	}

}

fieldset {
	border:0;
	padding:0;
	margin:0;
}
.question-container {
	padding: 8px 24px;
}

.assessment fieldset legend {
margin-bottom: 24px;
}

.assessment .drag-drop-containers {
	display: flex;
	align-items:flex-start;
	flex-direction:column;
	width:100%;
}

.assessment .drag-drop-containers h2 {
	margin:0;
	font-size: 16px;
}

.assessment .drag-drop-containers legend {
	font-size: 16px;
	margin-bottom:12px;
}

.drag-drop-containers .drag-container {
	width: 100%;
	margin-bottom:24px;

	legend {
		margin-bottom: 12px;
	}

}
.drag-drop-containers .drag-buttons {
	border: 1px solid #e9e9e9;
	border-radius: 4px;
	background: #f5f5f5;
	min-height: 100px;
	padding: 12px;

}
.drag-drop-containers .drag-buttons button {
	margin: 8px 0;
	background:white;
	padding: 8px 12px;
	border-radius:8px;

/* 	width: 100%; */
}
.drag-drop-containers .drag-buttons button:disabled {
  border-width: 1px !important;
  border-style: solid !important;
  background: white !important;
}
.drag-drop-containers .drop-buttons h2 {
	//margin-left: 12px;
}
.drag-drop-containers .drop-buttons {
	width:100%;
}
.drag-drop-containers .drop-buttons ol {
	list-style:none;
	margin:0;
	padding:0;
}
.drag-drop-containers .drop-buttons li {
	display:inline-block;
	position:relative;
	font-size: 14px;
	margin: 12px 0;
	padding: 8px 16px;
	border: 1px dashed #6a7070;
	background:#f5f5f5;
	border-radius: 2px;
	width: 100%;
	line-height: 1.15;

	&:first-of-type {
		margin-top:0;
	}

	.answer {
		margin-top: 4px;
		padding: 8px 12px;
		border-radius:8px;
	}

	button:not(.answer) {
		margin-bottom:8px;
	}

}
.drag-drop-containers .drop-buttons li span {
	display:inline-block;
	padding: 8px 0px;
	color: #6a7070;
	margin:0;

}
.drag-drop-containers .drop-buttons li button {
/* 	position:absolute; */
	left:0;
	top:0;
	margin:0;
	background: white;
	width:100%;
	text-align:center;
	border-radius: 22px;

	&.incorrect, &.incorrect:disabled {
		//background-color: #DB0020 !important;
		border-color: #DB0020 !important;
		color: #DB0020 !important;
    border-width: 1px !important;
    border-style: solid !important;
    background: white !important;

      &:before {
        content: url("data:image/svg+xml; utf8, <svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' width='24px' height='24px'><path fill='%23DB0020' d='M12,24 C5.372583,24 0,18.627417 0,12 C0,5.372583 5.372583,0 12,0 C18.627417,0 24,5.372583 24,12 C24,18.627417 18.627417,24 12,24 Z M12,10.5857864 L8.70710678,7.29289322 C8.31658249,6.90236893 7.68341751,6.90236893 7.29289322,7.29289322 C6.90236893,7.68341751 6.90236893,8.31658249 7.29289322,8.70710678 L10.5857864,12 L7.29248537,15.2933011 C6.90196108,15.6838254 6.90196108,16.3169903 7.29248537,16.7075146 C7.68300967,17.0980389 8.31617464,17.0980389 8.70669894,16.7075146 L12,13.4142136 L15.2928932,16.7071068 C15.6834175,17.0976311 16.3165825,17.0976311 16.7071068,16.7071068 C17.0976311,16.3165825 17.0976311,15.6834175 16.7071068,15.2928932 L13.4142136,12 L16.7071068,8.70710678 C17.0976311,8.31658249 17.0976311,7.68341751 16.7071068,7.29289322 C16.3165825,6.90236893 15.6834175,6.90236893 15.2928932,7.29289322 L12,10.5857864 Z'></path></svg>");
        display:block;
        color: #DB0020;
        width:24px;
        height:24px;
        position:absolute;
        left:-12px;
        top:-6px;
        background-color: white;
        border-radius: 50%;
      }
	}
	&.correct, &.correct:disabled {
		background-color: #ffffff !important;
		border-color: #038238 !important;
		color: #038238 !important;
    border-width: 1px !important;
    border-style: solid !important;
    background: white !important;

      &:before {
        content: url("data:image/svg+xml; utf8, <svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' width='24px' height='24px'><path fill='%23038238' d='M12,24 C5.372583,24 0,18.627417 0,12 C0,5.372583 5.372583,0 12,0 C18.627417,0 24,5.372583 24,12 C24,18.627417 18.627417,24 12,24 Z M11.0412736,17.2562587 L17.5667013,7.93421914 C17.8834158,7.48176985 17.773381,6.85823939 17.3209317,6.54152488 C16.8684824,6.22481037 16.2449519,6.33484516 15.9282374,6.78729446 L10.095704,15.1194851 L8.01169103,12.9052221 C7.6331745,12.5030484 7.00030003,12.4838704 6.59812633,12.862387 C6.19595264,13.2409035 6.17677472,13.873778 6.55529125,14.2759517 L9.48179897,17.3853652 C9.78426112,17.7067311 10.2491351,17.7835478 10.6289337,17.6083156 C10.7601737,17.5774562 10.8824713,17.4774636 11.0139388,17.2949987 C11.0233905,17.2822589 11.0325022,17.2693413 11.0412736,17.2562587 Z'></path></svg>");
        color: #038238;
        display:block;
        width:24px;
        height:24px;
        position:absolute;
        left:-12px;
        top:-6px;
        background-color: white;
        border-radius: 50%;
      }
	}
}

xpso-selfcheck{
	//height: calc(100vh - 100px);
	display: block;
	height: calc(100% - 0px);
	overflow-y: auto;

}

.assessment {
	//height: calc(100vh - 100px);
	display: block;

}

.assessment .response {
	padding: 0 24px;
	padding-top: 12px;
	margin: 0;
	width: 100%;

	h3 {
		margin: 0 0 8px 0;
	}

	p {
		margin: 4px 0;
	}

	.button-bar {
		flex-direction:row;
		align-items:center;
		justify-content:center;
		flex-wrap:wrap;

		button {
			margin: 6px;
		}
	}

	&.incorrect {
		.next-question {
			display: none;
		}
	}
	&.correct {
		.explanation,
		.try-again {
			display: none;
		}
	}
}

@media (max-width: 414px) and (orientation: portrait) {
	.selfCheck-container {
		margin-bottom:0;
		height:calc(100% - 80px);
		//z-index: 1201;
	}
	xpso-selfcheck{
		//height: calc(100vh - 100px);
		display: block;
		//height: calc(100% - 80px); //notes button
		//border-bottom: 1px solid #e9e9e9;

	}
	.drag-drop-containers .drag-buttons button {
		padding: 8px 12px;
		margin: 6px 0;
	}
	.drag-drop-containers .drop-buttons li {
		padding: 8px 16px;
		margin: 8px 0;

		.answer {
			margin-top: 4px;
			padding: 8px 12px;
			border-radius:8px;
		}
	}
}
@media (min-width: 521px) {
	.selfCheck-container {
		height: calc(100vh - 80px);
		top:80px;
		bottom:0;
		left:0;
		margin:0;
		z-index: 1101;
	}
	.assessment .drag-drop-containers {
		display: flex;
		align-items:flex-start;
		flex-direction:row;
	}

	.assessment .drag-drop-containers h2 {
		margin:0;
		font-size: 16px;
	}

	.assessment .drag-drop-containers > div{

	}
	.drag-drop-containers .drag-container {
		width: 50%;
		padding-right: 24px;
		margin-bottom: 0;

		h2 {
			margin-bottom: 12px;
		}

	}


	.drag-drop-containers .drop-buttons {
		width:50%;
	}


}


h3 {
	&.incorrect {
		color: #DB0020;
	}
	&.correct {
		color: #038238;
	}
}

.assessment .button-bar {
	display:flex;
  flex-wrap: wrap !important;
  flex-flow: row;
	align-items:center;
	justify-content:center;
	flex-direction:row;
	width:100%;
	margin-top: 16px;
	padding: 0 24px 24px 24px;
	text-align:center;

	div {
		text-align:center;
	}
}

.link-btn {
	border:none;
	background:transparent;
	font-size: 14px;
	color: #047A9C;
	text-decoration:underline;

	&:disabled {
		//text-decoration:none;
		color: #505759;
		cursor:default;
		&:hover, &:focus {
			text-decoration:underline;
			color: #505759;
		}
	}
}
.link-btn:hover {
	color: #03536a;
	text-decoration: none; }

.link-btn:focus {
	outline: 0;
	-webkit-box-shadow: 0 0 0 2px white, 0 0 0 4px #1977D4;
	box-shadow: 0 0 0 2px white, 0 0 0 4px #1977D4; }

@keyframes slideInLeft {
	0% {
		left: -520px;
	}

	100% {
		left: 0px;
		// TODO: create separate animation for visibility!
		visibility: visible;
	}
}


@keyframes slideOutLeft {
	0% {
		left: 0;
	}

	100% {
		left: -520px;
		// visibility: hidden;
	}
}

.slideInLeft {
	animation-name: slideInLeft;
	// display: flex;

}

.slideOutLeft {
	animation-name: slideOutLeft;
}



@media (prefers-reduced-motion) {
	.selfCheck-container {
		-webkit-animation: unset !important;
		animation: unset !important;
		-webkit-transition: none !important;
		transition: none !important;
	}
}
